Przejdź do głównej treści
POST
/
suno
/
persona
Suno Persona
curl --request POST \
  --url https://api.acedata.cloud/suno/persona \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "audio_id": "<string>",
  "vox_audio_id": "<string>",
  "vocal_start": 123,
  "vocal_end": 123,
  "description": "<string>"
}
'
{
  "data": {
    "persona_id": "eae26f89-b64b-404d-a80c-761996660b1c"
  },
  "success": true
}

Autoryzacje

Authorization
string
header
wymagane

Nagłówki

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json. If application/x-ndjson is specified, the response will be in newline-delimited JSON format, streaming the response chunk by chunk

Dostępne opcje:
application/json,
application/x-ndjson

Treść

application/json
name
string
wymagane

The name of the singer's style.

audio_id
string
wymagane

Need to upload the generated song id.

vox_audio_id
string

The audio id which used to generate the new singer's style.

vocal_start
number

The start time of the vocal in the audio.

vocal_end
number

The end time of the vocal in the audio.

description
string

Description of the singer's style.

Odpowiedź

OK, the request is successful.

data
object

Custom singer style unique id.

success
boolean

The flag indicates the request is successful or not